<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/login_main_llayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:orientation="vertical">

        <ImageView
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:src="@drawable/bg_login"
            app:layout_constraintDimensionRatio="2.87:1"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/code_login_iv"
            android:layout_width="21dp"
            android:layout_height="21dp"
            android:layout_marginTop="42dp"
            android:layout_marginRight="28dp"
            android:src="@drawable/icon_setting"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.core.widget.NestedScrollView
            android:id="@+id/login_sv"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="72dp">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/login_clayout"
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <ImageView
                    android:id="@+id/logo_iv"
                    android:layout_width="wrap_content"
                    android:layout_height="37dp"
                    android:src="@drawable/ic_manageapp_launcher"
                    app:layout_constraintHorizontal_chainStyle="packed"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintRight_toLeftOf="@id/logo_tv"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/logo_tv"
                    android:layout_width="wrap_content"
                    android:layout_height="37dp"
                    android:gravity="center"
                    android:text="星火云鸽"
                    android:textColor="@color/codetipscolor"
                    android:textSize="20sp"
                    app:layout_constraintLeft_toRightOf="@id/logo_iv"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="@id/logo_iv" />

                <ImageView
                    android:layout_width="22dp"
                    android:layout_height="22dp"
                    android:layout_marginRight="15dp"
                    android:src="@drawable/icon_zhanghao"
                    app:layout_constraintBottom_toBottomOf="@id/account_et"
                    app:layout_constraintRight_toLeftOf="@id/account_et"
                    app:layout_constraintTop_toTopOf="@id/account_et" />

                <EditText
                    android:id="@+id/account_et"
                    android:layout_width="300dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="82dp"
                    android:background="@null"
                    android:gravity="center_vertical"
                    android:hint="@string/inputaccount"
                    android:maxLength="20"
                    android:singleLine="true"
                    android:textColor="@color/black"
                    android:textColorHint="#FFB8C2D9"
                    android:textSize="21sp"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <ImageView
                    android:layout_width="387dp"
                    android:layout_height="1dp"
                    android:layout_marginTop="12dp"
                    android:src="#D0DBF4"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/account_et" />

                <ImageView
                    android:layout_width="22dp"
                    android:layout_height="22dp"
                    android:layout_marginRight="15dp"
                    android:src="@drawable/icon_mima"
                    app:layout_constraintBottom_toBottomOf="@id/code_et"
                    app:layout_constraintRight_toLeftOf="@id/code_et"
                    app:layout_constraintTop_toTopOf="@id/code_et" />

                <EditText
                    android:id="@+id/code_et"
                    android:layout_width="300dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="165dp"
                    android:background="@null"
                    android:digits="@string/psw_style"
                    android:gravity="center_vertical"
                    android:hint="@string/inputcode"
                    android:inputType="textPassword"
                    android:maxLength="20"
                    android:singleLine="true"
                    android:textColor="@color/black"
                    android:textColorHint="#FFB8C2D9"
                    android:textSize="21sp"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <ImageView
                    android:layout_width="387dp"
                    android:layout_height="1dp"
                    android:layout_marginTop="12dp"
                    android:src="#D0DBF4"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/code_et" />

                <FrameLayout
                    android:id="@+id/login_btn"
                    android:layout_width="387dp"
                    android:layout_height="49dp"
                    android:layout_marginTop="279dp"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent">

                    <com.makeramen.roundedimageview.RoundedImageView
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:src="@drawable/icon_login"
                        app:riv_corner_radius_bottom_left="12dp"
                        app:riv_corner_radius_bottom_right="12dp"
                        app:riv_corner_radius_top_left="12dp"
                        app:riv_corner_radius_top_right="12dp" />

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:gravity="center"
                        android:text="@string/loginnow"
                        android:textColor="@color/white"
                        android:textSize="21sp" />
                </FrameLayout>
            </androidx.constraintlayout.widget.ConstraintLayout>
        </androidx.core.widget.NestedScrollView>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="10dp"
            android:gravity="center_vertical|right"
            android:orientation="horizontal"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent">

            <TextView
                android:id="@+id/version_tv"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_weight="1"
                android:textColor="#253A70"
                android:layout_marginLeft="10dp"
                android:textSize="8sp" />

            <LinearLayout
                android:id="@+id/netset_llayout"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="10dp"
                android:gravity="center"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="10dp"
                    android:layout_height="10dp"
                    android:layout_marginRight="3dp"
                    android:src="@drawable/icon_wifiset" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/netset"
                    android:textColor="#798CB5"
                    android:textSize="8sp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/synctime_llayout"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="10dp"
                android:gravity="center"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="10dp"
                    android:layout_height="10dp"
                    android:layout_marginRight="3dp"
                    android:src="@drawable/icon_synctime" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/synctime"
                    android:textColor="#798CB5"
                    android:textSize="8sp" />
            </LinearLayout>
        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <LinearLayout
        android:id="@+id/lock_llayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/main_bg"
        android:gravity="center_horizontal"
        android:orientation="vertical"
        android:visibility="gone">

        <ImageView
            android:layout_width="157dp"
            android:layout_height="151dp"
            android:layout_marginTop="104dp"
            android:src="@drawable/icon_lock" />

        <FrameLayout
            android:layout_width="wrap_content"
            android:layout_height="53dp"
            android:layout_marginTop="26dp">

            <EditText
                android:id="@+id/lock_et"
                android:layout_width="357dp"
                android:layout_height="53dp"
                android:background="@drawable/shape_shadow_bg"
                android:hint="@string/passcode"
                android:maxLength="20"
                android:paddingLeft="28dp"
                android:paddingRight="28dp"
                android:singleLine="true"
                android:textColor="@color/codetipscolor"
                android:textColorHint="@color/codehintcolor"
                android:textSize="16sp" />

            <androidx.cardview.widget.CardView
                android:id="@+id/codeenter_cv"
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:layout_gravity="center_vertical|right"
                android:layout_marginRight="18dp"
                app:cardBackgroundColor="@color/white">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="11dp"
                    android:layout_gravity="center"
                    android:src="@drawable/icon_etenter" />
            </androidx.cardview.widget.CardView>
        </FrameLayout>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="18dp"
            android:text="@string/locktips"
            android:textColor="@color/codetipscolor"
            android:textSize="17sp" />
    </LinearLayout>
</FrameLayout>
